gofmt: do not stop test.sh after 1 error
Fix bug377.go to be gofmt-compliant.
R=gri, r, r
CC=golang-dev
https://golang.org/cl/5400045
diff --git a/src/cmd/gofmt/test.sh b/src/cmd/gofmt/test.sh
index d130aee..2325d6b 100755
--- a/src/cmd/gofmt/test.sh
+++ b/src/cmd/gofmt/test.sh
@@ -14,6 +14,7 @@
TMP2=test_tmp2.go
TMP3=test_tmp3.go
COUNT=0
+rm -f _failed
count() {
#echo $1
@@ -27,10 +28,9 @@
error() {
echo $1
- exit 1
+ touch _failed
}
-
# apply to one file
apply1() {
# the following files are skipped because they are test cases
@@ -157,6 +157,11 @@
runtests "$@"
cleanup
+if [ -f _failed ]; then
+ rm _failed
+ exit 1
+fi
+
# done
echo
echo "PASSED ($COUNT tests)"
diff --git a/test/fixedbugs/bug377.go b/test/fixedbugs/bug377.go
index b6b5509..e905e34 100644
--- a/test/fixedbugs/bug377.go
+++ b/test/fixedbugs/bug377.go
@@ -6,4 +6,4 @@
// Issue 1802
-ignored
+package ignored